// src/crypto.ts
import { createHash, randomBytes } from "crypto";
var generateSalt = (length) => {
  if (length <= 0) {
    return "";
  }
  const saltBytes = randomBytes(length);
  const salt = saltBytes.toString("hex");
  return salt.substring(0, length);
};
var digest = (data, algorithm = "SHA-256") => {
  const nodeAlg = toNodeCryptoAlg(algorithm);
  const hash = createHash(nodeAlg);
  hash.update(data);
  const hashBuffer = hash.digest();
  return new Uint8Array(hashBuffer);
};
var toNodeCryptoAlg = (hashAlg) => hashAlg.replace("-", "").toLowerCase();
export {
  digest,
  generateSalt
};
